---
displayed_sidebar: entitiesSidebar
---

# Class: DiscountConditionProductCollection

## Constructors

### constructor

• **new DiscountConditionProductCollection**()

## Properties

### condition\_id

• **condition\_id**: `string`

#### Defined in

[models/discount-condition-product-collection.ts:20](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L20)

___

### created\_at

• **created\_at**: `Date`

#### Defined in

[models/discount-condition-product-collection.ts:31](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L31)

___

### discount\_condition

• `Optional` **discount\_condition**: [`DiscountCondition`](DiscountCondition.md)

#### Defined in

[models/discount-condition-product-collection.ts:28](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L28)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/discount-condition-product-collection.ts:37](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L37)

___

### product\_collection

• `Optional` **product\_collection**: [`ProductCollection`](ProductCollection.md)

#### Defined in

[models/discount-condition-product-collection.ts:24](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L24)

___

### product\_collection\_id

• **product\_collection\_id**: `string`

#### Defined in

[models/discount-condition-product-collection.ts:17](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L17)

___

### updated\_at

• **updated\_at**: `Date`

#### Defined in

[models/discount-condition-product-collection.ts:34](https://github.com/medusajs/medusa/blob/c4c83c971/packages/medusa/src/models/discount-condition-product-collection.ts#L34)
